Subject: Re: bug#11298: Scratch buffer (Summary of Xah's proposals, as I see it)

From: Jambunathan K <[email-masked]>
Date: Tue, 24 Apr 2012 21:56:49 +0530

"Jan D." <[email-masked]> writes:

> Jambunathan K skrev 2012-04-24 14:20:
>>
>> Let me rephrase ideas in Xah's post -
>> http://lists.gnu.org/archive/html/help-gnu-emacs/2012-04/msg00260.html.
>>
>> The recommendations involve,
>>
>> 1. "Menu->File->Visit New File" should be changed to "File->New".  This
>>     will create an 'Untitled N' buffer.  This will mark the buffer as
>>     `potentially-file-visiting'.  Specifically it will not ask for the
>>     name of the file.
>>
>> 2. Introduce "File->Save as" will mark a `potentially-file-visiting'
>>     buffer as a `real-file-visiting-buffer'.
>>
>> 3. `potentially-file-visiting-buffer' should be queried for save on
>>      exit.
>>
>
> Giving a file name at 1. allows Emacs to set major mode.  If there is
> just "Untitled N", the user would have to manually set major mode for
> all new files.  This is not userfriendly.

Does it matter what mode an empty or almost empty file is in?  

If a user wants to exploit facilities offered by a major mode he has to
do a File->Save as.  May be Emacs can query for the modes in which a
buffer has to be opened?